Index: trunk/kernel/mm/mapper.c
===================================================================
--- trunk/kernel/mm/mapper.c	(revision 367)
+++ trunk/kernel/mm/mapper.c	(revision 406)
@@ -143,5 +143,5 @@
     error_t       error;
 
-    mapper_dmsg("\n[INFO] %s : enters for page %d in mapper %x\n",
+    mapper_dmsg("\n[DMSG] %s : enters for page %d / mapper %x\n",
                 __FUNCTION__ , index , mapper );
 
@@ -170,5 +170,5 @@
         if ( page == NULL )   // missing page => create it and load it from file system
         {
-            mapper_dmsg("\n[INFO] %s : missing page => load from device\n", __FUNCTION__ );
+            mapper_dmsg("\n[DMSG] %s : missing page => load from device\n", __FUNCTION__ );
 
             // allocate one page from PPM
@@ -212,9 +212,4 @@
             }
 
-            // update the mapper and index fields in page descriptor
-            // required by the vfs_move_page_to_mapper()
-            page->mapper = mapper;
-            page->index  = index;
-
             // launch I/O operation to load page from file system
             error = vfs_mapper_move_page( page, 
@@ -259,5 +254,5 @@
     }
 
-    mapper_dmsg("\n[INFO] %s : exit for page %d in mapper %x / page_desc = %x\n",
+    mapper_dmsg("\n[DMSG] %s : exit for page %d / mapper %x / page_desc = %x\n",
                 __FUNCTION__ , index , mapper , page );
 
@@ -315,5 +310,5 @@
     uint8_t  * buf_ptr;        // current buffer  address
 
-    mapper_dmsg("\n[INFO] %s : enters / to_buf = %d / buffer = %x\n",
+    mapper_dmsg("\n[DMSG] %s : enters / to_buf = %d / buffer = %x\n",
                 __FUNCTION__ , to_buffer , buffer );
 
@@ -341,5 +336,5 @@
         else                       page_count = CONFIG_PPM_PAGE_SIZE;
 
-        mapper_dmsg("\n[INFO] %s : index = %d / offset = %d / count = %d\n",
+        mapper_dmsg("\n[DMSG] %s : index = %d / offset = %d / count = %d\n",
                     __FUNCTION__ , index , page_offset , page_count );
 
@@ -356,5 +351,5 @@
         buf_ptr = (uint8_t *)buffer + done;
 
-        mapper_dmsg("\n[INFO] %s : index = %d / buf_ptr = %x / map_ptr = %x\n",
+        mapper_dmsg("\n[DMSG] %s : index = %d / buf_ptr = %x / map_ptr = %x\n",
                     __FUNCTION__ , index , buf_ptr , map_ptr );
 
@@ -373,5 +368,5 @@
     }
 
-    mapper_dmsg("\n[INFO] %s : exit for buffer %x\n",
+    mapper_dmsg("\n[DMSG] %s : exit for buffer %x\n",
                 __FUNCTION__, buffer );
 
@@ -398,6 +393,10 @@
     cxy_t      dst_cxy;        // destination cluster
 
-    mapper_dmsg("\n[INFO] %s : enters / to_buf = %d / buffer = %l / size = %x / cycle %d\n",
-                __FUNCTION__ , to_buffer , buffer_xp , size , hal_time_stamp() );
+    // get buffer cluster and local pointer
+    cxy_t     buffer_cxy = GET_CXY( buffer_xp );
+    uint8_t * buffer_ptr = (uint8_t *)GET_PTR( buffer_xp );
+
+    mapper_dmsg("\n[DMSG] %s : to_buf = %d / buf_cxy = %x / buf_ptr = %x / size = %x\n",
+    __FUNCTION__ , to_buffer , buffer_cxy , buffer_ptr , size );
 
     // compute offsets of first and last bytes in file
@@ -409,7 +408,6 @@
     uint32_t last  = max_byte >> CONFIG_PPM_PAGE_SHIFT;
 
-    // get buffer cluster and local pointer
-    cxy_t     buffer_cxy = GET_CXY( buffer_xp );
-    uint8_t * buffer_ptr = (uint8_t *)GET_PTR( buffer_xp );
+    mapper_dmsg("\n[DMSG] %s : first_page = %d / last_page = %d\n",
+    __FUNCTION__ , first , last );
 
     // compute source and destination clusters
@@ -440,5 +438,5 @@
         else                       page_count = CONFIG_PPM_PAGE_SIZE;
 
-        mapper_dmsg("\n[INFO] %s : page_index = %d / offset = %d / count = %d\n",
+        mapper_dmsg("\n[DMSG] %s : page_index = %d / offset = %d / bytes = %d\n",
                     __FUNCTION__ , index , page_offset , page_count );
 
@@ -466,6 +464,4 @@
         }
 
-        mapper_dmsg("\n[INFO] %s : index = %d\n", __FUNCTION__ , index );
-
         // move fragment
         hal_remote_memcpy( XPTR( dst_cxy , dst_ptr ), XPTR( src_cxy , src_ptr ), page_count );
@@ -474,9 +470,9 @@
     }
 
-    mapper_dmsg("\n[INFO] %s : exit for buffer %l / size = %x / cycle %d\n",
-                __FUNCTION__ , buffer_xp , size , hal_time_stamp() );
+    mapper_dmsg("\n[DMSG] %s : exit / buf_cxy = %x / buf_ptr = %x / size = %x\n",
+    __FUNCTION__ , buffer_cxy , buffer_ptr , size );
 
     return 0;
 
-}  // end mapper_move_kernel_buffer()
-
+}  // end mapper_move_kernel()
+
